summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Iskar Enev <iskar.enev[@]gmail.com>2010-05-11 20:00:24 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 20:00:24 +0200
commitc1ec4738f95c3450354bee6ba6e880d0f9ad2083 (patch)
tree48178876af5f321ee4a37317f15c280cc268bc18 /development
parent298b9e3f352e8fe4fb7c7041275b08c183c9539c (diff)
downloadslackbuilds-c1ec4738f95c3450354bee6ba6e880d0f9ad2083.tar.gz
slackbuilds-c1ec4738f95c3450354bee6ba6e880d0f9ad2083.tar.xz
development/esvn: Added to 12.0 repository
Diffstat (limited to 'development')
-rw-r--r--development/esvn/README8
-rw-r--r--development/esvn/doinst.sh3
-rw-r--r--development/esvn/esvn-Makefile.diff49
-rw-r--r--development/esvn/esvn.SlackBuild61
-rw-r--r--development/esvn/esvn.info8
-rw-r--r--development/esvn/slack-desc19
6 files changed, 148 insertions, 0 deletions
diff --git a/development/esvn/README b/development/esvn/README
new file mode 100644
index 0000000000..063c497d47
--- /dev/null
+++ b/development/esvn/README
@@ -0,0 +1,8 @@
+eSvn is a QT GUI frontend to the Subversion revision system.
+
+In addition to the the standard svn commands it features:
+- svn repository browsing
+- organizing working directories and workspaces
+- showing changed items
+- performing quick diff, external diff and 3-way diff
+- showing the status of files/directories in real time
diff --git a/development/esvn/doinst.sh b/development/esvn/doinst.sh
new file mode 100644
index 0000000000..34be13eb65
--- /dev/null
+++ b/development/esvn/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/esvn/esvn-Makefile.diff b/development/esvn/esvn-Makefile.diff
new file mode 100644
index 0000000000..2f66a9aaea
--- /dev/null
+++ b/development/esvn/esvn-Makefile.diff
@@ -0,0 +1,49 @@
+--- Makefile.orig 2008-03-05 13:51:10.000000000 +0200
++++ Makefile 2008-03-05 13:58:47.000000000 +0200
+@@ -6,26 +6,14 @@
+ @echo "** done **"
+
+ esvn:
+- qmake esvn.pro
+ make -f esvn.mak
+
+ esvn-diff-wrapper:
+- qmake esvn-diff-wrapper.pro
+ make -f esvn-diff-wrapper.mak
+
+ install:
+ make -f esvn.mak install
+ make -f esvn-diff-wrapper.mak install
+- mkdir -p /usr/share/doc/esvn
+- cp -f -r html-docs /usr/share/doc/esvn
+-
+-#cp -f esvn.pdf /usr/share/doc/esvn
+-
+-install-doc:
+- mkdir -p /usr/share/doc/esvn
+- cp -f -r html-docs /usr/share/doc/esvn
+-
+-#cp -f esvn.pdf /usr/share/doc/esvn
+
+ clean:
+ make -f esvn.mak clean
+--- esvn.pro.orig 2008-03-05 13:51:22.000000000 +0200
++++ esvn.pro 2008-03-05 13:59:15.000000000 +0200
+@@ -253,7 +253,6 @@
+ VER=$$system(cat VERSION)
+
+ target.path = /usr/bin
+- target.files = esvn
+ INSTALLS += target
+
+ icons.path = /usr/share/pixmaps
+--- esvn-diff-wrapper.pro.orig 2008-03-05 13:51:32.000000000 +0200
++++ esvn-diff-wrapper.pro 2008-03-05 14:01:38.000000000 +0200
+@@ -13,7 +13,6 @@
+ # Target is an application:
+
+ MAKEFILE = esvn-diff-wrapper.mak
+-target.files = esvn-diff-wrapper
+ target.path = /usr/bin
+ INSTALLS += target
+ unix{
diff --git a/development/esvn/esvn.SlackBuild b/development/esvn/esvn.SlackBuild
new file mode 100644
index 0000000000..cb82fa677c
--- /dev/null
+++ b/development/esvn/esvn.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Slackware build script for esvn
+# Written by Iskar Enev <iskar.enev[@]gmail.com>
+
+PRGNAM=esvn
+VERSION=0.6.12.1
+PKGVERSION=0.6.12-1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCUMENTATION="AUTHORS ChangeLog COPYING html-docs/ docs/ LICENSE README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$PKGVERSION.tar.gz
+mv $PRGNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# This patch enables the use of Slackware compile flags and fixes the
+# binary install targets (esvn and esvn-diff-wrapper) in the .mak files
+patch -p0 < $CWD/esvn-Makefile.diff
+
+qmake "QMAKE_CXXFLAGS+=$SLKCFLAGS" "QMAKE_CFLAGS+=$SLKCFLAGS" esvn.pro
+qmake "QMAKE_CXXFLAGS+=$SLKCFLAGS" "QMAKE_CFLAGS+=$SLKCFLAGS" esvn-diff-wrapper.pro
+make
+make install INSTALL_ROOT=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCUMENTATION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/esvn/esvn.info b/development/esvn/esvn.info
new file mode 100644
index 0000000000..e75aba674e
--- /dev/null
+++ b/development/esvn/esvn.info
@@ -0,0 +1,8 @@
+PRGNAM="esvn"
+VERSION="0.6.12.1"
+HOMEPAGE="http://zoneit.free.fr/esvn/"
+DOWNLOAD="http://downloads.sourceforge.net/esvn/esvn-0.6.12-1.tar.gz"
+MD5SUM="c46ffee6188dc28604c7cc9e5dbf082e"
+MAINTAINER="Iskar Enev"
+EMAIL="<iskar.enev[@]gmail.com>"
+APPROVED="David Somero"
diff --git a/development/esvn/slack-desc b/development/esvn/slack-desc
new file mode 100644
index 0000000000..fca6bcae9b
--- /dev/null
+++ b/development/esvn/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+esvn: eSvn (QT GUI frontend for Subversion)
+esvn:
+esvn: esvn is a QT GUI frontend to the Subversion revision system
+esvn:
+esvn:
+esvn:
+esvn:
+esvn:
+esvn:
+esvn:
+esvn: